# viewport_type.h File Reference

Types related to viewports. More...

`#include "zoom_type.h"`

Go to the source code of this file.

## Data Structures

struct | ViewPort
| Data structure for viewport, display of a part of the world. More...
struct | ViewportSign

## Enumerations

enum | { ZOOM_IN = 0, ZOOM_OUT = 1, ZOOM_NONE = 2 }
enum | { BB_HEIGHT_UNDER_BRIDGE = 6, BB_Z_SEPARATOR = 7 }
| Some values for constructing bounding boxes (BB). More...
enum | ViewportPlaceMethod { VPM_X_OR_Y = 0, VPM_FIX_X = 1, VPM_FIX_Y = 2, VPM_RAILDIRS = 3, VPM_X_AND_Y = 4, VPM_X_AND_Y_LIMITED = 5, VPM_SIGNALDIRS = 6 }
| Viewport place method (type of highlighted area and placed objects). More...

enum

ViewportDragDropSelectionProcess {
DDSP_DEMOLISH_AREA, DDSP_RAISE_AND_LEVEL_AREA, DDSP_LOWER_AND_LEVEL_AREA, DDSP_LEVEL_AREA,
DDSP_CREATE_DESERT, DDSP_CREATE_ROCKS, DDSP_CREATE_WATER, DDSP_CREATE_RIVER,
DDSP_PLANT_TREES, DDSP_BUILD_BRIDGE, DDSP_PLACE_RAIL_NE, DDSP_PLACE_RAIL_NW,
DDSP_PLACE_AUTORAIL, DDSP_BUILD_SIGNALS, DDSP_BUILD_STATION, DDSP_REMOVE_STATION,
DDSP_CONVERT_RAIL, DDSP_PLACE_ROAD_X_DIR, DDSP_PLACE_ROAD_Y_DIR, DDSP_PLACE_AUTOROAD
}

| Drag and drop selection process, or, what to do with an area of land when you've selected it. More...

## Detailed Description

Types related to viewports.

Definition in file viewport_type.h.

## Enumeration Type Documentation

anonymous enum

Some values for constructing bounding boxes (BB).

The Z positions under bridges are: z=0..5 Everything that can be built under low bridges. z=6 reserved, currently unused. z=7 Z separator between bridge/tunnel and the things under/above it.

Enumerator:

  BB_HEIGHT_UNDER_BRIDGE | Everything that can be built under low bridges, must not exceed this Z height.
  BB_Z_SEPARATOR | Separates the bridge/tunnel from the things under/above it.

Definition at line 45 of file viewport_type.h.

enum ViewportDragDropSelectionProcess

Drag and drop selection process, or, what to do with an area of land when you've selected it.

Definition at line 63 of file viewport_type.h.

enum ViewportPlaceMethod

Viewport place method (type of highlighted area and placed objects).

Enumerator:

  VPM_X_OR_Y | drag in X or Y direction
  VPM_FIX_X | drag only in X axis
  VPM_FIX_Y | drag only in Y axis
  VPM_RAILDIRS | all rail directions
  VPM_X_AND_Y | area of land in X and Y directions
  VPM_X_AND_Y_LIMITED | area of land of limited size
  VPM_SIGNALDIRS | similiar to VMP_RAILDIRS, but with different cursor

Definition at line 51 of file viewport_type.h.